/* Base style
   ========================================================================== */
   
/* Fonts */
@font-face {
   font-family: 'geoform-heavy';
   src: url('fonts/geoform-heavy.woff2') format('woff2'),
       url('fonts/geoform-heavy.woff') format('woff');
   font-weight: 900;
   font-style: normal;
   font-display: swap;
}

@font-face {
   font-family: 'geoform-bold';
   src: url('fonts/geoform-bold.woff2') format('woff2'),
       url('fonts/geoform-bold.woff') format('woff');
   font-weight: 900;
   font-style: normal;
   font-display: swap;
}

@font-face {
   font-family: 'kimberley';
   src: url('fonts/kimberley-black.woff2') format('woff2'),
       url('fonts/kimberley-black.woff') format('woff');
   font-weight: 900;
   font-style: normal;
   font-display: swap;
}

html{ -webkit-user-select: none; -ms-user-select: none; user-select: none; background:#000000; }

/*-- Percent Loader -- */
#mainLoader{ position:absolute; z-index:5; display:none; font-size:25px; line-height:25px; color:#fff; text-align:center; width:100%; font-family:'geoform-heavy'; }

/*-- Content Wrapper -- */
#mainHolder{ position:absolute; width:100%;height:100%;}

/*-- Browser Not Support -- */
#notSupportHolder{ position:relative; width:90%; margin:2% auto; color:#fff; text-align:center; font-size:25px; font-family:'geoform-heavy'; display:none; }

/*-- Rotate Animation -- */
@-moz-keyframes spin { 50% { -moz-transform: rotate(0deg); } 100% { -moz-transform: rotate(0deg); } }
@-webkit-keyframes spin { 50% { -webkit-transform: rotate(90deg); } 100% { -webkit-transform: rotate(0deg); } }
@keyframes spin { 50% { -webkit-transform: rotate(90deg); transform:rotate(90deg); } 100% { -webkit-transform: rotate(90deg); transform:rotate(90deg); } }

/*-- Canvas Wrapper -- */
#canvasHolder{ position:relative; width:100%; max-width:1280px; height:100%; margin:auto; display:none; }
canvas{ position:fixed; }

#gameCanvasBackground {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

/*-- Form Wrapper -- */
.clearfix:after { content: "."; visibility: hidden; display: block; clear: both;}


#backgroundRotate {
        position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    width: 100%;      /* або будь-який потрібний розмір */
    height: 450px;     /* зберігай пропорції */
    background-image: url('../assets/rotate.png');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;

    z-index: 20;
    display: none; /* показуй тільки коли пауза */
}

#backgroundPause {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    width: 100%;      /* або будь-який потрібний розмір */
    height: 650px;     /* зберігай пропорції */

    background-image: url('../assets/pauseWin.png');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;

    z-index: 20;
    display: none; /* показуй тільки коли пауза */
}
